Bug 12957 - The bind_dlz config should not be stored in the private directory
The bind_dlz config should not be stored in the private directory
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DNS server
4.7.0rc3
All All
: P5 normal
: ---
Assigned To: Andreas Schneider
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-10 09:42 UTC by Andreas Schneider
Modified: 2017-10-12 14:59 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-08-10 09:42:20 UTC
The bind_dlz config should not be stored in the private directory.

The private directory should have permissions 0700 and only samba (root) should have access to it.

bind_dns should have its own directory and so we can give named access to it.
Comment 1 Stefan Metzmacher 2017-08-14 07:55:44 UTC
(In reply to Andreas Schneider from comment #0)

Don't we already have a directory for this? The one where we store the hardlinks
of the sam.ldb* files. So we just need to move the config files to the same directory?
Comment 2 Andreas Schneider 2017-08-14 09:50:50 UTC
That directory is inside the private directory! So it doesn't really help.

My WIP branch is here:
https://git.samba.org/?p=asn/samba.git;a=shortlog;h=refs/heads/master-bind_dlz
Comment 3 Andreas Schneider 2017-10-12 14:59:48 UTC
Will be fixed with 4.8.0